# Class: ClassItemValue

## ClassItemValue()

#### new ClassItemValue()

分段类型对象功能组件

Source:
  - ClassItemValue.js, line 12

### Methods

#### (async, static) createObj() → {Promise.<ClassItemValue>}

构造一个新的SRefData对象。

Source:
  - ClassItemValue.js, line 22

##### Returns:

Type
  Promise.<ClassItemValue>

#### (async, static) getEndValue() → {String}

获取结束值

Source:
  - ClassItemValue.js, line 94

##### Returns:

Type
  String

#### (async, static) getStartValue() → {String}

获取开始值

Source:
  - ClassItemValue.js, line 66

##### Returns:

Type
  String

#### (async, static) getType() → {int}

统计分段类型

Source:
  - ClassItemValue.js, line 38

##### Returns:

ClassItemType的值

Type
  int

#### (async, static) setEndValue(endValue) → {Promise.<Void>}

设置结束值

##### Parameters:

Name | Type | Description
--- | --- | ---
`endValue` | String | 结束值

Source:
  - ClassItemValue.js, line 109

##### Returns:

Type
  Promise.<Void>

#### (async, static) setStartValue(startValue) → {Promise.<Void>}

设置开始值

##### Parameters:

Name | Type | Description
--- | --- | ---
`startValue` | String | 开始值

Source:
  - ClassItemValue.js, line 81

##### Returns:

Type
  Promise.<Void>

#### (async, static) setType(type) → {Promise.<Void>}

设置分段类型

##### Parameters:

Name | Type | Description
--- | --- | ---
`type` | int | 分段类型 UniqueType | RangeType

Source:
  - ClassItemValue.js, line 53

##### Returns:

Type
  Promise.<Void>